- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskNotes/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskNotes/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskNotes/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskNotes/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskNotes/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskNotes/list#body.ListWorkdeskNotesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskNotes/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskNotes/list#body.aspect_1)

**Full name**: projects.locations.instances.legacySoarUsers.workdeskNotes.list

Lists workdesk notes for a specific user. Supports pagination, filtering, and custom ordering, allowing users to browse through their collection of personal notes used for organizing investigation tasks.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/workdeskNotes`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list WorkdeskNotes for. Format: projects/{project}/locations/{location}/instances/{instance}/legacySoarUsers/{legacySoarUser}/workdeskNotes |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of WorkdeskNotes to return. The service may return fewer than this value. |
| `filter` | `string` Optional. The filter expression. |
| `orderBy` | `string` Optional. The order in which WorkdeskNotes should be returned. |
| `pageToken` | `string` Optional. A page token, received from a previous `workdeskNotes.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `workdeskNotes.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for workdeskNotes.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "workdeskNotes": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskNotes#WorkdeskNote`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `workdeskNotes[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskNotes#WorkdeskNote`)`` The list of WorkdeskNotes. |
| `nextPageToken` | `string` Optional. A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Optional. The total number of WorkdeskNotes matching the request. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.workdeskNotes.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).